Subject: [RFC PATCH] Documentation: devicetree: add description for generic bus properties

From: [email-masked] (Greg KH)
Date: Fri, 29 Nov 2013 09:37:01 -0800

On Fri, Nov 29, 2013 at 11:44:53AM +0000, Will Deacon wrote:
> On Thu, Nov 28, 2013 at 09:25:28PM +0000, Greg KH wrote:
> > On Thu, Nov 28, 2013 at 07:39:17PM +0000, Dave Martin wrote:
> > > On Thu, Nov 28, 2013 at 11:13:31AM -0800, Greg KH wrote:
> > > > Yes it is, you all are the ones tasked with implementing the crazy crap
> > > > the hardware people have created, best of luck with that :)
> > > 
> > > Agreed.  The first assumption should be that we can fit in with the
> > > existing device model -- we should only reconsider if we find that
> > > to be impossible.
> > 
> > Let me know if you think it is somehow impossible, but you all should
> > really push back on the insane hardware designers that are forcing you
> > all to do this work.  I find it "interesting" how this all becomes your
> > workload for their crazy ideas.
> 
> Oh, I don't think we're claiming anything is impossible here :) It's more
> that we will probably want to make some changes to the device model to allow,
> for example, a device to be associated with multiple buses of potentially
> different types.

Why would you want that?  What good would that help with?

> Step one is to get the DT binding sorted, then we can try and get Linux to
> make use of it. This goes hand-in-hand with the IOMMU discussion going on
> here:
> 
>   http://lists.infradead.org/pipermail/linux-arm-kernel/2013-November/210401.html
> 
> which is one of the issues that is hitting us right now.

Interesting how people seem to not know how to cc: the needed
maintainers when they touch core code :(